package ru.kayashov.bar.bot.domain.methods;

import lombok.Builder;
import lombok.Getter;
import ru.kayashov.bar.bot.domain.Bot;
import ru.kayashov.bar.bot.domain.model.AbstractKeyboard;

@Getter
public class AbstractSendKeyboardMessage extends AbstractMethod {
    String message;
    AbstractKeyboard keyboard;
    @Builder
    public AbstractSendKeyboardMessage(Long chatId, String message, AbstractKeyboard keyboard) {
        super(chatId);
        this.keyboard = keyboard;
        this.message = message;
    }

    @Override
    public void execute(Bot nBot) {
        nBot.sendKeyboardMessage(this);
    }
}